package com.hzya.frame.mdm.mdmModuleDistributeDetail.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * 主数据功能应用分发明细表(MdmModuleDistributeDetail)实体类
 *
 * @author makejava
 * @since 2023-11-07 09:11:31
 */
public class MdmModuleDistributeDetailEntity extends BaseEntity {
 
  /**  主数据模版ID */
   private String mdmId;
  /**  应用分发id */
   private String distributeId;
  /**  接口id */
   private String apiId;
  /**  源API字段 */
   private String sourceField;
  /**  源API字段名 */
   private String sourceName;
  /**  目标API字段 */
   private String targetField;
  /**  目标API字段名 */
   private String targetName;
  /**  目标API字段默认值 */
   private String defaultVaule;
  /**  源字段层级 */
   private String sourceFieldPath;
  /**  目标字段层级 */
   private String targetFieldPath;
 private String targetPath;
 private String sourcePath;
  /**  连线信息 */
   private String coordinate;


    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDistributeId() {
        return distributeId;
    }

    public void setDistributeId(String distributeId) {
        this.distributeId = distributeId;
    }

    public String getApiId() {
        return apiId;
    }

    public void setApiId(String apiId) {
        this.apiId = apiId;
    }

    public String getSourceField() {
        return sourceField;
    }

    public void setSourceField(String sourceField) {
        this.sourceField = sourceField;
    }

    public String getSourceName() {
        return sourceName;
    }

    public void setSourceName(String sourceName) {
        this.sourceName = sourceName;
    }

    public String getTargetField() {
        return targetField;
    }

    public void setTargetField(String targetField) {
        this.targetField = targetField;
    }

    public String getTargetName() {
        return targetName;
    }

    public void setTargetName(String targetName) {
        this.targetName = targetName;
    }

    public String getDefaultVaule() {
        return defaultVaule;
    }

    public void setDefaultVaule(String defaultVaule) {
        this.defaultVaule = defaultVaule;
    }

    public String getSourceFieldPath() {
        return sourceFieldPath;
    }

    public void setSourceFieldPath(String sourceFieldPath) {
        this.sourceFieldPath = sourceFieldPath;
    }

    public String getTargetFieldPath() {
        return targetFieldPath;
    }

    public void setTargetFieldPath(String targetFieldPath) {
        this.targetFieldPath = targetFieldPath;
    }

    public String getTargetPath() {
        return targetPath;
    }

    public void setTargetPath(String targetPath) {
        this.targetPath = targetPath;
    }

    public String getSourcePath() {
        return sourcePath;
    }

    public void setSourcePath(String sourcePath) {
        this.sourcePath = sourcePath;
    }

    public String getCoordinate() {
        return coordinate;
    }

    public void setCoordinate(String coordinate) {
        this.coordinate = coordinate;
    }

}

